[Unit]
Description=OpenAFS Client Service
Wants=network-online.target
After=syslog.target network-online.target
Before=remote-fs.target

[Service]
Type=forking
RemainAfterExit=true
EnvironmentFile=/etc/sysconfig/openafs-fuse-client
ExecStartPre=/bin/chmod 0644 /etc/openafs/CellServDB
ExecStart=/usr/sbin/afsd.fuse $AFSD_ARGS
ExecStop=/usr/bin/umount /afs
ExecStop=/usr/sbin/afsd.fuse -shutdown
KillMode=none

[Install]
WantedBy=multi-user.target remote-fs.target
